Package twisted :: Package internet :: Module interfaces :: Class IReactorUNIXDatagram |
[frames | no frames]

## Class IReactorUNIXDatagram

    Interface --+
                |
               IReactorUNIXDatagram

datagram UNIX socket methods.

Method Summary
| ``connectUNIXDatagram`(self, address, protocol, maxPacketSize, mode, bindAddress)` Connect a client protocol to a datagram UNIX socket.
| ``listenUNIXDatagram`(self, address, protocol, maxPacketSize, mode)` Listen on a datagram UNIX socket.

Method Details

### connectUNIXDatagram(self, address, protocol, maxPacketSize=8192, mode=438, bindAddress=None) Connect a client protocol to a datagram UNIX socket. Parameters: `address` - a path to a unix socket on the filesystem. `protocol` - a `twisted.internet.protocol.ConnectedDatagramProtocol` instance `maxPacketSize` - maximum packet size to accept `mode` - mode to set on the unix socket. `bindAddress` - address to bind to

### listenUNIXDatagram(self, address, protocol, maxPacketSize=8192, mode=438) Listen on a datagram UNIX socket. Parameters: `address` - a path to a unix socket on the filesystem. `protocol` - a `twisted.internet.protocol.DatagramProtocol` instance. `maxPacketSize` - maximum packet size to accept `mode` - mode to set on the unix socket. Returns: an `IListeningPort`.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net